# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ lib, ... }:

{
  #imports =
  #  [ (modulesPath + "/installer/scan/not-detected.nix")
  #  ];

  boot.initrd.availableKernelModules = [ "usbhid" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ ];
  boot.extraModulePackages = [ ];
  # mkForce to get rid of "console=ttyAMA0" from sd-image-aarch64.nix
  boot.kernelParams = lib.mkForce [
    "snd_bcm2835.enable_headphones=1"
  ];

  fileSystems."/" = {
    device = "/dev/disk/by-label/NIXOS_SD";
    fsType = "ext4";
  };

  fileSystems."/boot/firmware" = {
    device = "/dev/disk/by-label/FIRMWARE";
    fsType = "vfat";
  };

  swapDevices = [ ];

  hardware.enableRedistributableFirmware = true;
  #networking.wireless.enable = true;
  boot.loader.raspberryPi.firmwareConfig = ''
    gpu_mem=192
    dtparam=audio=on
  '';

  powerManagement.cpuFreqGovernor = lib.mkDefault "performance";
}
